# DeepSeekAI - Intelligent Web Assistant

## 📖 Introduction

DeepSeekAI is an unofficial browser extension powered by the [DeepSeek](https://deepseek.com) API, designed to enhance your web browsing experience with intelligent interactions. Through simple text selection, you can instantly receive AI-driven responses, making your web browsing more efficient and intelligent.

> **Note**: This extension is a third-party development, not an official DeepSeek product. You need your own DeepSeek API Key to use this extension.

## ✨ Core Features

### 🎯 Smart Interaction
- **Intelligent Text Analysis**: Select any text on web pages for instant AI analysis and responses
- **Multi-turn Dialogue**: Support for continuous conversation interactions
- **Quick Access**: Three ways to invoke the chat window - text selection, right-click menu, and keyboard shortcuts
- **Streaming Response**: Real-time streaming display of AI responses
- **Model Selection**: Choose between DeepSeek V3 and DeepSeek R1 models

### 💎 User Experience
- **Draggable Interface**: Freely drag and resize the chat window
- **Window Memory**: Remember chat window size and position
- **One-click Copy**: Easy copying of response content
- **Regenerate**: Support for regenerating AI responses
- **Keyboard Shortcuts**: Built-in shortcut (Ctrl/Command+Shift+D to open/close)
- **Balance Query**: Real-time API balance checking
- **User Guide**: Built-in detailed usage instructions

### 🎨 Content Display
- **Markdown Rendering**: Support for rich Markdown formatting, including code blocks, lists, and mathematical formulas (MathJax)
- **Code Highlighting**: Syntax highlighting for multiple programming languages with copy functionality
- **Multi-language Support**: UI in English/Chinese, AI responses with auto-language detection or specified language
- **Dark Mode**: Automatic dark mode support based on system preferences

## 🚀 Quick Start

### Installation

#### 1. Install from Store (Recommended)
- [Chrome Web Store](https://chromewebstore.google.com/detail/bjjobdlpgglckcmhgmmecijpfobmcpap)
- [Microsoft Edge Add-ons](Coming soon)

#### 2. Manual Installation
```bash
# Clone the repository
git clone https://github.com/DeepLifeStudio/DeepSeekAI.git

# Install dependencies
pnpm install

# Build the project
pnpm run build
```

### Configuration

1. Click the extension icon in your browser toolbar
2. Enter your DeepSeek API Key in the popup window
3. Configure language, model, and other preferences
4. Start using! You can:
   - Click the popup icon after selecting text
   - Right-click and select "DeepSeek AI" after text selection
   - Use the shortcut Ctrl/Command+Shift+D to open the dialog window/close the session window.


![image](assets/1.png)
![image](assets/2.png)

