# DeepSeekAI - 智能网页助手

## 📖 简介

DeepSeekAI 是一款非官方的浏览器扩展插件，基于 [DeepSeek](https://deepseek.com) API，为用户提供智能的网页交互体验。通过简单的文本选择，即可获得 AI 驱动的实时响应，让您的网页浏览体验更加智能和高效。

> **注意**：本扩展插件为第三方开发，非 DeepSeek 官方产品。使用本插件需要您自己的 DeepSeek API Key。

## ✨ 核心特性

### 🎯 智能交互
- **智能文本分析**: 支持网页任意文本选择，即时获取 AI 分析和回复
- **多轮对话**: 支持基础的对话功能，实现连续对话交互
- **快捷操作**: 支持文本选择、右键菜单和快捷键三种方式唤起对话窗口
- **流式响应**: AI 回复实时流式显示，提供即时反馈 
- **模型选择**: 支持选择 DeepSeek V3 和 DeepSeek R1 模型

### 💎 用户体验
- **可拖拽界面**: 对话窗口支持自由拖拽和大小调整
- **窗口记忆**: 支持记住对话窗口的大小和位置
- **一键复制**: 便捷的回复内容复制功能
- **重新生成**: 支持重新生成 AI 回复
- **快捷键支持**: 内置快捷键（Ctrl/Command+Shift+D 打开/关闭）
- **余额查询**: 支持实时查询 API 余额
- **使用说明**: 内置详细的使用教程

### 🎨 内容展示
- **Markdown 渲染**: 支持丰富的 Markdown 格式，包括代码块、列表和数学公式（MathJax）
- **代码高亮**: 支持多种编程语言的语法高亮，并提供一键复制功能
- **多语言支持**: 支持中英文界面切换，AI 回复支持自动语言检测或指定语言
- **暗色模式**: 根据系统偏好自动切换暗色模式

## 🚀 快速开始

### 安装方式

#### 1. 应用商店安装（推荐）
- [Chrome Web Store](https://chromewebstore.google.com/detail/bjjobdlpgglckcmhgmmecijpfobmcpap)
- [Microsoft Edge Add-ons](即将上线)

#### 2. 手动安装
```bash
# 克隆项目
git clone https://github.com/DeepLifeStudio/DeepSeekAI.git

# 安装依赖
pnpm install

# 构建项目
pnpm run build
```

### 配置说明

1. 安装完成后，点击浏览器工具栏中的扩展图标
2. 在弹出窗口中输入您的 DeepSeek API Key
3. 根据个人偏好配置语言、模型和其他选项
4. 开始使用！您可以：
   - 选择网页文本后点击弹出的图标
   - 选择文本后右键选择 "DeepSeek AI"
   - 使用快捷键 Ctrl/Command+Shift+D 打开对话窗口/关闭会话窗口
   

![image](assets/1.png)
![image](assets/2.png)

